<?php
if(!function_exists("checkPath"))
{
	function checkPath( $path )
	{
		$path = str_replace("\\", "/", $path );
		if( ''!=$path && '/'!=substr($path, -1)) return $path.'/';
		else return $path;
	}
}

if(!function_exists("unhtmlentities"))
{
	function unhtmlentities($string) 
	{
	    $trans_tbl = get_html_translation_table(HTML_ENTITIES);
	    $trans_tbl = array_flip($trans_tbl);
	    return strtr($string, $trans_tbl);
	}
}

require_once('class.xsltransformer.inc');

global $local_strings;
$local_strings = array();
if (file_exists('local_strings.php')) require_once('local_strings.php');

$dirs = explode('/', checkPath(dirname(__FILE__)));
$mod_id = $dirs[count($dirs)-2];

$xsl_transformer = new XSLTransformer();

if (!$xsl_transformer->getAvailableXSLTransformMethod()) 
{
	$content = $local_strings['xsl_transformation_is_not_possible'];
	showHtmlContent('<div class="pageContent">'.$content.'</div>', $mod_id);
	exit;
}

if (!file_exists('rss.txt'))
{
	showHtmlContent('', $mod_id);
	exit;	
}

$content = '';

$f = fopen('rss.txt', 'r');
$rss_channel = rawurldecode(trim(fread($f, filesize('rss.txt'))));
fclose($f);
$f = @fopen($rss_channel, 'r');
if (function_exists('stream_get_meta_data') && function_exists('gzopen')) 
{
	$stream_data = @stream_get_meta_data($f);
    if (is_array($stream_data['wrapper_data']) && strpos(implode($stream_data['wrapper_data']), 'Content-Encoding: gzip') > 0) 
    {
        $f = @fopen('compress.zlib://'.$rss_channel, 'r');
    }
}
if ($f) 
{
    $xml_str = '';
    while(!feof($f))
    {   
        $xml_str .= fgets($f,4096);
    };
    fclose($f);

    $xml_str = eregi_replace("<!DOCTYPE([^>]*)>", '', $xml_str);
     if (preg_match("/<rdf:RDF/i", $xml_str)) {
     	if (preg_match("|http://my.netscape.com/rdf/simple/0.9|i", $xml_str))
     	{
     		$xsl_file = 'rss09.xsl';
			$xml_str = str_replace("rdf:RDF","rdf", $xml_str);
			$xml_str = str_replace("xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\"","", $xml_str);
			$xml_str = str_replace("xmlns=\"http://my.netscape.com/rdf/simple/0.9/\"","", $xml_str);
     	}
     	else 
     	{
        	$xsl_file = 'rss10.xsl';
     	}
    }
    else 
    {
    	$xsl_file = 'rss20.xsl';
    }
    
	$content = $xsl_transformer->doXSLTransform(checkPath(dirname(__FILE__)).'xsl/', $xml_str, $xsl_file, $local_strings);
	$content = eregi_replace("<\?xml([^>]*)\?>", '', $content);
    $content = unhtmlentities($content);
    showHtmlContent($content, $mod_id);
    exit;
}

function showHtmlContent($content, $mod_id)
{
?>
<HTML>
<HEAD>
<TITLE></TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta http-equiv="Content-Type" content="text/html; "/>
<meta http-equiv="pragma" content="no-cache"/>
<style type="text/css">@import url("../css/styles.css");</style>
<script>
function DoWhenInit()
{
	try
	{
		var f=this.parent.document.getElementById('<?php echo $mod_id;?>');
		f.style.height=this.contentWindow.document.body.scrollHeight+120;
	}
	catch(e){}
    var doc_url = document. URL;
    for (var i=0; i < document.links.length; i++)
    {
        doc_link = document.links[i].href;
        if (doc_link.indexOf(doc_url) < 0) {
        	document.links[i].target = '_blank';	
        }
    }
}
</script>
</HEAD>

<body onload="javascript: DoWhenInit();" style='background-color:transparent; margin-left: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px;'>
<script>
</script>
<?php
echo($content);
?>
</body>
</HTML>
<?php
}

?>