<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
    xmlns:rss="http://purl.org/rss/1.0/"
    xmlns:dc="http://purl.org/dc/elements/1.1/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:content="http://purl.org/rss/1.0/modules/content/"
    xmlns:admin="http://webns.net/mvcb/"
>

<xsl:output method="html"/>

<xsl:param name="summary" select="''"/>
<xsl:param name="items" select="''"/>
<xsl:param name="language" select="''"/>
<xsl:param name="creator" select="''"/>
<xsl:param name="subject" select="''"/>
<xsl:param name="date" select="''"/>
<xsl:param name="generator" select="''"/>

<xsl:param name="january" select="''"/>
<xsl:param name="february" select="''"/>
<xsl:param name="march" select="''"/>
<xsl:param name="april" select="''"/>
<xsl:param name="may" select="''"/>
<xsl:param name="june" select="''"/>
<xsl:param name="july" select="''"/>
<xsl:param name="august" select="''"/>
<xsl:param name="september" select="''"/>
<xsl:param name="october" select="''"/>
<xsl:param name="november" select="''"/>
<xsl:param name="december" select="''"/>


<xsl:template match="/">
            <xsl:apply-templates select="/rdf:RDF/rss:channel"/>

            <h4 class="pageContent"><xsl:value-of select="$summary"/></h4>
            <xsl:for-each select="/rdf:RDF/rss:item">
                <xsl:call-template name="display_item">
                    <xsl:with-param name="full" select="0"/>
                </xsl:call-template>
            </xsl:for-each>

            <h4 class="pageContent"><xsl:value-of select="$items"/></h4>
            <xsl:for-each select="/rdf:RDF/rss:item">
                <xsl:call-template name="display_item">
                    <xsl:with-param name="full" select="1"/>
                </xsl:call-template>
            </xsl:for-each>
</xsl:template>

<xsl:template match="/rdf:RDF/rss:channel">
    <h3 class="pageContent"><a href="{rss:link}" target="_blank"><xsl:value-of select="rss:title"/></a></h3>
    <xsl:apply-templates select="/rdf:RDF/rss:image"/>
    <xsl:call-template name="display_description"/>
    <xsl:call-template name="display_properties"/>
</xsl:template>

<xsl:template match="/rdf:RDF/rss:image">
    <a href="{rss:link}" title="{rss:title}" target="_blank">
        <img alt="{rss:title}" border="0">
            <xsl:attribute name="src"><xsl:value-of select="normalize-space(rss:url)"/></xsl:attribute>
            <xsl:if test="rss:width!=''"><xsl:attribute name="width"><xsl:value-of select="rss:width"/></xsl:attribute></xsl:if>
            <xsl:if test="rss:height!=''"><xsl:attribute name="height"><xsl:value-of select="rss:height"/></xsl:attribute></xsl:if>
        </img>
    </a>
</xsl:template>

<xsl:template name="display_date">
    <xsl:variable name="year" select="substring(dc:date,1,4)"/>
    <xsl:variable name="month" select="substring(dc:date,6,2)"/>
    <xsl:variable name="day" select="substring(dc:date,9,2)"/>
    <xsl:variable name="time" select="substring(dc:date,12,8)"/>
    <xsl:variable name="timezone" select="substring(dc:date,20,6)"/>
    <xsl:variable name="day_short">
        <xsl:choose>
            <xsl:when test="substring($day,1,1)='0'"><xsl:value-of select="substring($day,2,1)"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="substring($day,1,2)"/></xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    <xsl:variable name="month_name">
        <xsl:choose>
            <xsl:when test="$month='01'"><xsl:value-of select="$january"/></xsl:when>
            <xsl:when test="$month='02'"><xsl:value-of select="$february"/></xsl:when>
            <xsl:when test="$month='03'"><xsl:value-of select="$march"/></xsl:when>
            <xsl:when test="$month='04'"><xsl:value-of select="$april"/></xsl:when>
            <xsl:when test="$month='05'"><xsl:value-of select="$may"/></xsl:when>
            <xsl:when test="$month='06'"><xsl:value-of select="$june"/></xsl:when>
            <xsl:when test="$month='07'"><xsl:value-of select="$july"/></xsl:when>
            <xsl:when test="$month='08'"><xsl:value-of select="$august"/></xsl:when>
            <xsl:when test="$month='09'"><xsl:value-of select="$september"/></xsl:when>
            <xsl:when test="$month='10'"><xsl:value-of select="$october"/></xsl:when>
            <xsl:when test="$month='11'"><xsl:value-of select="$november"/></xsl:when>
            <xsl:when test="$month='12'"><xsl:value-of select="$december"/></xsl:when>
        </xsl:choose>
    </xsl:variable>
    <xsl:value-of select="$day_short"/><xsl:text> </xsl:text>
    <xsl:value-of select="$month_name"/><xsl:text> </xsl:text>
    <xsl:value-of select="$year"/><xsl:text> </xsl:text>
    <xsl:value-of select="$time"/><xsl:text> </xsl:text>
    GMT <xsl:value-of select="$timezone"/>
</xsl:template>

<xsl:template name="display_properties">
    <div class="pageContent">
    <p>
    <xsl:if test="dc:language!=''">
        <xsl:value-of select="$language"/>: <xsl:value-of select="dc:language"/><br/>
    </xsl:if>
    <xsl:if test="dc:creator!=''">
        <xsl:value-of select="$creator"/>: <xsl:value-of select="dc:creator"/><br/>
    </xsl:if>
    <xsl:if test="dc:subject!=''">
        <xsl:value-of select="$subject"/>: <xsl:value-of select="dc:subject"/><br/>
    </xsl:if>
    <xsl:if test="dc:date!=''">
        <xsl:value-of select="$date"/>: <xsl:call-template name="display_date"/><br/>
    </xsl:if>
    <xsl:if test="admin:generatorAgent/@rdf:resource">
        <xsl:value-of select="$generator"/>: <a href="{admin:generatorAgent/@rdf:resource}" target="_blank"><xsl:value-of select="admin:generatorAgent/@rdf:resource"/></a><br/>
    </xsl:if>
    </p>
    </div>
</xsl:template>

<xsl:template name="display_description">
    <div class="pageContent">
    <p>
        <xsl:value-of select="rss:description" disable-output-escaping="yes"/>
    </p>
    </div>
</xsl:template>

<xsl:template name="display_item">
    <xsl:param name="full"/>
    <xsl:choose>
        <xsl:when test="$full=1">
            <div class="pageContent">
            <a name="item{position()}"></a>
            <h5 class="pageContent">
                <xsl:value-of select="position()"/> - <a href="{rss:link}" class="pageContent" target="_blank"><xsl:value-of select="rss:title"/></a>
            </h5>
            <xsl:call-template name="display_description"/>
            <xsl:if test="content:encoded">
                <div class="pageContent">
                    <xsl:value-of select="content:encoded" disable-output-escaping="yes"/>
                </div>
            </xsl:if>
            <xsl:call-template name="display_properties"/>
            </div>
        </xsl:when>
        <xsl:otherwise>
            <span class="pageContent">
                <xsl:value-of select="position()"/> - <a href="#item{position()}" class="pageContent"><xsl:value-of select="rss:title"/></a><br/>
            </span>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>
